/*
    Предрейсовые осмотры - мобильное приложение
    Обёртка сканера
*/

//---------------------
//Подключение библиотек
//---------------------

const React = require('react'); //React
const { Platform } = require('react-native'); //Платформа
const BarcodeScannerWeb = require('./BarcodeScannerWeb'); //Заглушка для веб

//-----------
//Тело модуля
//-----------

//Компонент сканера
function BarcodeScanner(props) {
    if (Platform.OS === 'web') {
        return <BarcodeScannerWeb />;
    }

    const BarcodeScannerNative = require('./BarcodeScannerNative');
    return <BarcodeScannerNative {...props} />;
}

//----------------
//Интерфейс модуля
//----------------

module.exports = BarcodeScanner;
